﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032: (1 year) VER VISA /9500+2Hd
DATE:                  2010-08-03 14:31:20
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       204
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3032
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000 Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000 (1 yr) DCV VISA /9500
#        Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600
#        Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600
#        Sub Tek TDS3000 (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix TDS3EM Communication Module (for Ethernet port)
#
# The procedure was tested using:
#        Model No  : TDS 3054
#        Serial No : b019431
#        Options   : None
#        Firmware  : 2.21
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.3.38"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  CALL         Sub Tek TDS3000 Ethernet Interface Connection
  1.020  JMPL         END                              @Abort

  1.021  VISA         *RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query VISA

  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  MATH         @UUT_Model        = "TDS 3032"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Tek TDS3000 Check Firmware Version
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Datron 9500 Configuration Query IEEE

  1.031  MATH         L[1] = (@HeadTypeCh1 == "9560")
  1.032  MATH         L[1] = L[1] + (@HeadTypeCh2 == "9560")

  1.033  IF           L[1] > 0

  1.034  HEAD         EQUIPMENT REQUIREMENTS
  1.035  OPBR         -z Do you want to REVIEW the list of additional
  1.035  OPBR         equipment and/or accessories required?

  1.036  IF           MEM1
  1.037  DISP         - Adapter SMA(f)-BNC(m) ([L1] ea. for 9560 Active Heads)
  1.038  ENDIF

  1.039  ENDIF

  1.040  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.041  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.042  JMPL         END                           @Abort

  1.043  CALL         Sub Tek TDS3000 Self-Test VISA
  1.044  JMPL         END                           @Abort

  1.045  IF           @HeadTypeCh1 == "9560"
  1.046  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.047  ELSE
  1.048  MATH         Ch1Adapter = ""
  1.049  ENDIF

  1.050  IF           @HeadTypeCh2 == "9560"
  1.051  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.052  ELSE
  1.053  MATH         Ch2Adapter = ""
  1.054  ENDIF

  1.055  DISP         Connect the 9500 to the UUT as follows:
  1.055  DISP
  1.055  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.055  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].

  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.059  MATH         @Chan = 2
  1.060  M9500                       CH2
  1.061  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.062  MATH         @Chan = 1
  1.063  M9500                       CH1
  1.064  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.065  MATH         @Chan = 2
  1.066  M9500                       CH2
  1.067  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.068  MATH         @Chan = 1
  1.069  M9500                       CH1
  1.070  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.071  MATH         @Chan = 2
  1.072  M9500                       CH2
  1.073  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.074  MATH         @Chan = 1
  1.075  M9500                       CH1
  1.076  CALL         Sub Tek TDS3000 (1 yr) Sample Rate VISA /9500

  1.077  LABEL        END
  1.078  HEAD         -2

  1.079  IF           @Abort
  1.080  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.081  ELSE
  1.082  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.083  ENDIF

  1.084  END
